Oracle Trigger Agent – Bad version number in class file

Symptom

When you install the TaskCentre Oracle Agent on a Windows system you may see the following exception:

Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad version number in class file.

On UNIX and Linux systems this shows as:

Exception in thread "main" java.lang.ClassFormatError: TCInstallerMain (unrecognized class file version)

Cause

The version of java installed is incompatible with the TaskCentre Oracle agent. The TaskCentre Oracle agent requires java 1.0.6_19 and upwards.

To check what version of the java you have installed, run the following from a console session:

Java –version

Resolution

Update to java 1.0.6_19 or higher. If you have the correct java version and the error still appears, you will need to update the PATH variable to include the path to the java bin directory. For example:

C:\Program Files\Java\jre1.6.0_02\bin